summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Manifest.gzbin267997 -> 267983 bytes
-rw-r--r--dev-python/absl-py/Manifest2
-rw-r--r--dev-python/absl-py/absl-py-2.0.0.ebuild80
-rw-r--r--dev-python/aws-sam-translator/Manifest2
-rw-r--r--dev-python/aws-sam-translator/aws-sam-translator-1.75.0.ebuild60
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.28.51.ebuild68
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.31.51.ebuild68
-rw-r--r--dev-python/cryptography/Manifest3
-rw-r--r--dev-python/cryptography/cryptography-41.0.4.ebuild152
-rw-r--r--dev-python/fasteners/Manifest2
-rw-r--r--dev-python/fasteners/fasteners-0.19.ebuild36
-rw-r--r--dev-python/pyupgrade/Manifest2
-rw-r--r--dev-python/pyupgrade/pyupgrade-3.11.1.ebuild30
-rw-r--r--dev-python/tldextract/Manifest2
-rw-r--r--dev-python/tldextract/tldextract-3.6.0.ebuild35
17 files changed, 546 insertions, 0 deletions
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 56a562d555ec..92e9210598f1 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/absl-py/Manifest b/dev-python/absl-py/Manifest
index 004a333c785d..7714e8c7652f 100644
--- a/dev-python/absl-py/Manifest
+++ b/dev-python/absl-py/Manifest
@@ -1,3 +1,5 @@
DIST abseil-py-1.4.0.gh.tar.gz 228096 BLAKE2B c34e6319d69976631a4b674d4f23eb0a11705c69fc1ce740eb2b570c61cc3507634d73699eb023b94fe6042c2f49eba3ec134c9c08958aca904eea3bfb8f84e7 SHA512 45cbf6f90a14a3d6e07ee0a6407d4521cac8d15340885c6ae790180c255dfea54e862ee2d806c166a28b5ce238720a7e3af25d6ffe054820588d4a0f20e1f124
+DIST abseil-py-2.0.0.gh.tar.gz 232404 BLAKE2B fc3d02b2184f6ad45ff022d80068f6ec64ec4cbdbfb9735da1309a975f634880a2c969cba9ad7bdbeec2183c058c31e8198f9396d5f937858861e42a41c40432 SHA512 1f83ee07ce4bdeed2ebc775bdf809a9998f7afba2e0322bb4ce1fbf4af8c0e638161bbd72c9222c1ae1505577c181026d5baee1c9994d4858166d015a1ffab91
EBUILD absl-py-1.4.0.ebuild 2536 BLAKE2B 6c48ca30e06c8c4085176a3f17065bf21b2cd0aac40c388f91a97218eb35525824c82279545b71c75d5698846172960e9aa92e3230c60d92e6e23d1f7667f47a SHA512 a66979017c21dfd0811e80eed31310a6af7d446792f171c127e477fb64edfb446d567f8404903036c0329caedc29f21aa4d97ecd65f5cca15ea53e09255b65d7
+EBUILD absl-py-2.0.0.ebuild 2660 BLAKE2B f9629d81580d003fdbefb9b52706985c0b1177615f9e46a2af7b6f193f29c9f3c145f3aba6660f843656a09fa22cb69d2737df5cfd669803d496aea2a563d963 SHA512 ffe7a5c94ec3bfbbd9d92473d457c992a72723a0ad5b93da6390bf48cba3478755829c4a182c3b49f292fe6632500efc9f058fc9d7d9e2ca1a1b89ba7f7dcd33
MISC metadata.xml 577 BLAKE2B dd0e02b24bdb42f24bd675cadf13e99f861a6dc9be2879f671b9bc4e9e078ef81759909e81e3063cb54c71ff71d6609624f0cf2645bf6ec055c643fbb0f3ab5c SHA512 7cfa86cac5d38b10aedacdb4bafc7acbd11cf4a98a873a2435ef5761d5186c5128171eb286b2d2568a1a353eb4de815303eae225cf5823a5292ac362633b67c7
diff --git a/dev-python/absl-py/absl-py-2.0.0.ebuild b/dev-python/absl-py/absl-py-2.0.0.ebuild
new file mode 100644
index 000000000000..187f9c0cfe53
--- /dev/null
+++ b/dev-python/absl-py/absl-py-2.0.0.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P=abseil-py-${PV}
+DESCRIPTION="Abseil Python Common Libraries"
+HOMEPAGE="
+ https://github.com/abseil/abseil-py/
+ https://pypi.org/project/absl-py/
+"
+SRC_URI="
+ https://github.com/abseil/abseil-py/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+ # what a nightmare... well, we could have called bazel but that would
+ # even worse
+ local helpers=(
+ absl/flags/tests/argparse_flags_test_helper.py:absl/flags/tests/argparse_flags_test_helper
+ absl/logging/tests/logging_functional_test_helper.py:absl/logging/tests/logging_functional_test_helper
+ absl/testing/tests/absltest_fail_fast_test_helper.py:absl/testing/tests/absltest_fail_fast_test_helper
+ absl/testing/tests/absltest_filtering_test_helper.py:absl/testing/tests/absltest_filtering_test_helper
+ absl/testing/tests/absltest_randomization_testcase.py:absl/testing/tests/absltest_randomization_testcase
+ absl/testing/tests/absltest_sharding_test_helper.py:absl/testing/tests/absltest_sharding_test_helper
+ absl/testing/tests/absltest_sharding_test_helper_no_tests.py:absl/testing/tests/absltest_sharding_test_helper_no_tests
+ absl/testing/tests/absltest_test_helper.py:absl/testing/tests/absltest_test_helper
+ absl/testing/tests/xml_reporter_helper_test.py:absl/testing/tests/xml_reporter_helper_test
+ absl/tests/app_test_helper.py:absl/tests/app_test_helper_pure_python
+ )
+
+ local x
+ for x in "${helpers[@]}"; do
+ local script=${x%:*}
+ local sym=${x#*:}
+ sed -i -e "1i#!/usr/bin/env python" "${script}" || die
+ chmod +x "${script}" || die
+ ln -s "${script##*/}" "${sym}" || die
+ done
+
+ # i don't wanna know how these pass for upstream with wrong helper names
+ sed -i -e 's:\(app_test_helper\)\.py:\1_pure_python:' \
+ absl/tests/app_test.py || die
+ sed -i -e 's:\(logging_functional_test_helper\)\.py:\1:' \
+ absl/logging/tests/logging_functional_test.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x PYTHONPATH=.
+ local fails=0
+ while read -r -d '' x; do
+ ebegin "${x}"
+ "${EPYTHON}" "${x}"
+ eend ${?} || : "$(( fails += 1 ))"
+ done < <(find -name '*_test.py' -print0)
+
+ [[ ${fails} -ne 0 ]] && die "${fails} tests failed on ${EPYTHON}"
+
+ # we actually need to clean this up manually before running the test
+ # suite again...
+ chmod -R u+rwX "${T}"/absl_testing || die
+ rm -rf "${T}"/absl_testing || die
+}
diff --git a/dev-python/aws-sam-translator/Manifest b/dev-python/aws-sam-translator/Manifest
index a0af4146dc1c..09e00d3649fd 100644
--- a/dev-python/aws-sam-translator/Manifest
+++ b/dev-python/aws-sam-translator/Manifest
@@ -1,5 +1,7 @@
DIST serverless-application-model-1.73.0.gh.tar.gz 5079379 BLAKE2B e7220e4d0e25a725d3dc0828297bcab9c174e067f927b6aab7f6bdd0c9c8de8333464d7783f0ae9965b00a1323ace8f63a51aed92e459f578a2d2e15a34bed52 SHA512 1487b3815f62dc4a5081316b09d469359126fa76d4b4f3ee397b581e5491cea20ebafeeb96d261652eb552e501666de3d90f6bd5a52517474e170420abaeea92
DIST serverless-application-model-1.74.0.gh.tar.gz 5082475 BLAKE2B 4eea6df8caefd8face0115300739d74dee96f5b303cd2f86e7ffd58535c36567c830c9a0b55f59c712b166376b66ae23d7cc5e9c79445a1a9e4f3e23f0c4b94d SHA512 f34af17d0d2ec540c9ef65c1419812e0ec24da331b527e843f3da88149721a4dbec7130f1ac452c19b8462461ed09e3e6b607a80756aaa5f01fc3abc04740938
+DIST serverless-application-model-1.75.0.gh.tar.gz 5111472 BLAKE2B c6a1ce33e9f6a51988acc72d9b2a12c8cabfa16ccbb44dcb214bedcfd5c9cf61947f0d83a32149a1dc3ceee6e0acdb4ffe3437f4605febd0e2b07d48989c9d81 SHA512 b64c2529d1a9cbb3d97163d4dd3062d19319e0b1ff98c8330fb12af8c33a2768dc6619d97dc9234b051eafef9770d35970fa631c9830a9ad94d7ac0a4eb0e800
EBUILD aws-sam-translator-1.73.0.ebuild 1544 BLAKE2B 9572110682a5bfaeee90d69c6026a0130cacda3efb2d2da2952d675f5764745fb8fa7e7b1e586b2b029f5d8b955d9934228210734b060af23abdde9b2e18c487 SHA512 48956aabc1cd71db9d3cddb180c37387c8e5e4e314411a41f3ad791bbe6b2435208c9e045dead45d6e10944271b7f9954e2d1ae9290a3078d1e35391c0f52512
EBUILD aws-sam-translator-1.74.0.ebuild 1546 BLAKE2B ad6e5889df4bcddb45b7c19b46a2d29b4e58be32c5e2e7642713309a6962b870af65dad07437b2b5167481b4cbde6638c235a1928b930a8a50c1943e33364ccb SHA512 5b80e19e8592c98a0121af922addf5c0904d21164d1411459a5a96cf2ce54c3b728f6a7eaeb3a3629f24eac9f805d34548f9aeddb8d552d8a185599b23f0e124
+EBUILD aws-sam-translator-1.75.0.ebuild 1546 BLAKE2B 149e59b254acf3de851a46b9a7c11d1ba15cc469c8fcd3c7571eb3e45788abb0e5db72ac54754ba65804872f895e54b2a0a39155e1ce77f7fc1f4533594fdd86 SHA512 f9304b86eaae63cf411562af33cac40848502d2e50cef5a718299b75103cb5ab2541b7ea86f41af0d511679f11ea74c2572faab81fbde4ed4547d0ec7d4e6cf9
MISC metadata.xml 603 BLAKE2B 89556267393186cf69a585c58efeb6fa599bfb42ef221bea955ea807a28edee89036a2ee0d0ca81ae55d96702a01b171b837754dabf38047ecc2789157bb7116 SHA512 106b6d241eadf7807dadf03329073703f8b51e7443eddc4db8752878b6dd84cc4357689cd4b796b3a083192e9d98eacbe9e7b8af0273160c7b89846e78230a88
diff --git a/dev-python/aws-sam-translator/aws-sam-translator-1.75.0.ebuild b/dev-python/aws-sam-translator/aws-sam-translator-1.75.0.ebuild
new file mode 100644
index 000000000000..d6a4188a21e6
--- /dev/null
+++ b/dev-python/aws-sam-translator/aws-sam-translator-1.75.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+MY_P=serverless-application-model-${PV}
+DESCRIPTION="A library that transform SAM templates into AWS CloudFormation templates"
+HOMEPAGE="
+ https://github.com/aws/serverless-application-model/
+ https://pypi.org/project/aws-sam-translator/
+"
+SRC_URI="
+ https://github.com/aws/serverless-application-model/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/boto3-2[${PYTHON_USEDEP}]
+ >=dev-python/boto3-1.19.5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.2[${PYTHON_USEDEP}]
+ <dev-python/pydantic-3[${PYTHON_USEDEP}]
+ >=dev-python/pydantic-1.8[${PYTHON_USEDEP}]
+ <dev-python/typing-extensions-5[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.4[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # so much noise...
+ sed -i -e '/log_cli/d' pytest.ini || die
+
+ # deps are installed by ebuild, don't try to reinstall them via pip
+ truncate --size=0 requirements/*.txt || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x AWS_DEFAULT_REGION=us-east-1
+ epytest -o addopts=
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index cd22b805df36..b883da6151ce 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -13,6 +13,7 @@ DIST boto3-1.28.47.gh.tar.gz 699978 BLAKE2B 056a6c4ac0d94dd147cf1a0e438f9947b2a0
DIST boto3-1.28.48.gh.tar.gz 700213 BLAKE2B 3ddb02067fee032d3d5e493849936b854130def109f46806fe826845da1daa681920448d96658910ec3064d576de1fe6055d514345cbe88d548278c16c2a28a9 SHA512 b561b0631af566a82495d97ba9c4dc58183361868042b70c353004c58c3cfc38c3496eb5a4d387e5272b76f479a7f101676fc3a9b6306d203e5122bde0091e98
DIST boto3-1.28.49.gh.tar.gz 700443 BLAKE2B 7c76e0ee6d6de1f7a67534a49e54092a564d419f9fc18b25375d2416af07987039bf864e0c2a996d5b64c3f9207dcd50da6ee5b0e2bf606e453d7841ddd6f7d4 SHA512 597debebb60c33bdf2bcc485bbf9ab7c433a5750b71708ffcd2847b6b21199c1c598edeb35e236f6b7feca3f762b5d62f9637e00876b7c0629baae50e7f132c9
DIST boto3-1.28.50.gh.tar.gz 700837 BLAKE2B 57dd760ef175b16a9aebfa86d39a6529809f22101a1cab3334f239d23ef6f865fa573dcf38e5aab66aee5ea3c448c91c21bff78835a3d07de8508397c5e809fa SHA512 8b31a6012b398c067b927ac4c428fa61f881a88afb865d88a407d9c06fc69a402778198afa7f39ee158f61e952956f18f6f32edbf076098eda5431e92c06f5cc
+DIST boto3-1.28.51.gh.tar.gz 701097 BLAKE2B a9e4fd188bae4a6969d68bc089c350326fc50832442d4962e8168c56bb466c4583f3be9db18828c4e55a15859f8a1f864d2f1f1db4819141edc193dbcb28eb6e SHA512 e982b7c9a2fdcc562b866313c95ac558e42735addf512b9ec21793811c1bec1f8647cea41fb61fe06ed12c7b9390da3a5e281128857d150b5693046d277faf11
EBUILD boto3-1.28.30.ebuild 1508 BLAKE2B d38a9300c2cfd40239efbe4b7bad251a3fa5e723b438fbfafbaea76fbfb252832aba45f875aa0afb984a9ae2f4e8a4e64499d9ddff4ea1e3d1ddb0ea3fac5f65 SHA512 9c1ce9d3f807344d2040fa6200070589fbbc6f0ac0eea1146255c18412faa70a90632836ad2f0450c902ef57bd274ed537ec1633438c91b27fc76af981c7b895
EBUILD boto3-1.28.35.ebuild 1532 BLAKE2B d9c16eb4938ac7488765eca7dc3d5d55402c5aeed4b4e380c9d0433a4e18a94cd11938b43fbe3584b95bc36fec90557a1cfb6017a41fa70807bc06b941e3eca6 SHA512 2d6bd178dd4b7b9b30ed092f69ffdf01e4450eae8e5ee86bd5dcced4370f6f49a440067ae598e126d7ca0f50f9c1212e734ccbd5073fb4fcdef8850327b57763
EBUILD boto3-1.28.38.ebuild 1532 BLAKE2B d9c16eb4938ac7488765eca7dc3d5d55402c5aeed4b4e380c9d0433a4e18a94cd11938b43fbe3584b95bc36fec90557a1cfb6017a41fa70807bc06b941e3eca6 SHA512 2d6bd178dd4b7b9b30ed092f69ffdf01e4450eae8e5ee86bd5dcced4370f6f49a440067ae598e126d7ca0f50f9c1212e734ccbd5073fb4fcdef8850327b57763
@@ -28,5 +29,6 @@ EBUILD boto3-1.28.47.ebuild 1588 BLAKE2B 7868e2dbbe0ec485326e70c75cd785d0d369de8
EBUILD boto3-1.28.48.ebuild 1588 BLAKE2B 7868e2dbbe0ec485326e70c75cd785d0d369de83650d28b6501faaa4d21a8c1952c68c1e06659d1c4f70baf420b70edfb714e82d60dc9dfac2f494cc42066317 SHA512 a16a292694a5fd614ab03939fa6131614b287c8e475a83f40f463f0051f6404aa85413713038de60089b6489fc5fa9688bedd1d66ce578ed3fb0cd1b3c237d72
EBUILD boto3-1.28.49.ebuild 1588 BLAKE2B 7868e2dbbe0ec485326e70c75cd785d0d369de83650d28b6501faaa4d21a8c1952c68c1e06659d1c4f70baf420b70edfb714e82d60dc9dfac2f494cc42066317 SHA512 a16a292694a5fd614ab03939fa6131614b287c8e475a83f40f463f0051f6404aa85413713038de60089b6489fc5fa9688bedd1d66ce578ed3fb0cd1b3c237d72
EBUILD boto3-1.28.50.ebuild 1588 BLAKE2B 7868e2dbbe0ec485326e70c75cd785d0d369de83650d28b6501faaa4d21a8c1952c68c1e06659d1c4f70baf420b70edfb714e82d60dc9dfac2f494cc42066317 SHA512 a16a292694a5fd614ab03939fa6131614b287c8e475a83f40f463f0051f6404aa85413713038de60089b6489fc5fa9688bedd1d66ce578ed3fb0cd1b3c237d72
+EBUILD boto3-1.28.51.ebuild 1588 BLAKE2B 7868e2dbbe0ec485326e70c75cd785d0d369de83650d28b6501faaa4d21a8c1952c68c1e06659d1c4f70baf420b70edfb714e82d60dc9dfac2f494cc42066317 SHA512 a16a292694a5fd614ab03939fa6131614b287c8e475a83f40f463f0051f6404aa85413713038de60089b6489fc5fa9688bedd1d66ce578ed3fb0cd1b3c237d72
EBUILD boto3-9999.ebuild 1532 BLAKE2B d9c16eb4938ac7488765eca7dc3d5d55402c5aeed4b4e380c9d0433a4e18a94cd11938b43fbe3584b95bc36fec90557a1cfb6017a41fa70807bc06b941e3eca6 SHA512 2d6bd178dd4b7b9b30ed092f69ffdf01e4450eae8e5ee86bd5dcced4370f6f49a440067ae598e126d7ca0f50f9c1212e734ccbd5073fb4fcdef8850327b57763
MISC metadata.xml 493 BLAKE2B 7d6324fc877ffe1d20c5369c2af0b09a7028f94d28f1841188913d0d8be7ea699c9d3f92c624992c4c96bd69615d3a1211a2483c76c56b7d3082492e43512523 SHA512 44420d8c03d5986f990b76369edfa8dfd7659b4952db3ad946fd05392ec594628a28745ad888d055d4f074d5214f61fcffafe6c04c4ab54109d45ac0371582bd
diff --git a/dev-python/boto3/boto3-1.28.51.ebuild b/dev-python/boto3/boto3-1.28.51.ebuild
new file mode 100644
index 000000000000..90e1b0ce7382
--- /dev/null
+++ b/dev-python/boto3/boto3-1.28.51.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit} \
+ -p xdist -n "$(makeopts_jobs)" --dist=worksteal
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 4ea28b178e96..1effefd2567c 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -13,6 +13,7 @@ DIST botocore-1.31.47.gh.tar.gz 11942023 BLAKE2B 94bdc5b5ca5e5749d40996c7396f1bd
DIST botocore-1.31.48.gh.tar.gz 11946450 BLAKE2B 5393125dcc346182ea81ebebeb181cc7aad8e64e4ca5d93e23e9fe98d12dd2d175b8ff659864574d6dea15e5248dbbaf7a247f8261e74a9cea48a73e3e6b87f4 SHA512 51e13e1bd2962e4ed1c2dff97e9ead583e78bc3cb43cecc92b79299b3da9f449d244d0218e94506ae2c59ba4be49db21c03af6f6fc1451340f4d7fb2d6c082f3
DIST botocore-1.31.49.gh.tar.gz 11946203 BLAKE2B 3b3026f0861705cc3467391c673d2e2f8e63af1a2e52b63cad21e5f75bf31f5970a2a5f5a959dc8dcd1be6c3ad67ed10642c79a7d41a24e15e983096818e8197 SHA512 8e1cb12ff7455bbf62c5cf54c2bc1b8f48484ebc6e95b4e061d5bc6388a4ecd3ff4152a1d9aab5cbee84d872d59417cfb1cecb6fd281f1f8dd9e3e7e04cc782d
DIST botocore-1.31.50.gh.tar.gz 11946516 BLAKE2B 84f9eadc8c2867286d098e9f429c097bcd58b02898779ff3b4ee390af91c3949675b43ea954e2c393b897f97941326fbf0a9d477df015f2406e00f77629e79ed SHA512 53157bb104f10e711b409a31ede6ccce6be7ae013474ca42248db0afd7dcaae0f9f5ec0637a9c337c2691de79a0df743fc3bde69c16ef746b6274d4bd252bbff
+DIST botocore-1.31.51.gh.tar.gz 11946778 BLAKE2B 59dddb63a9d6d4944498d34af28bc6325a4867986fd7240bc4c1937572574eccc8563ddcb768f2053c85b4d9b6fc73e670f453b588519dae4a526b0ee54db17c SHA512 a7ba6922fc1cb14da7611a316a6ad7c846b4521829b55b6896365f0f2a6563bf3bcf456699d9d94febc4917ce9d23105542190eff6c97dc7a1d027d95057c655
EBUILD botocore-1.31.30.ebuild 1827 BLAKE2B 52ad52588a26e5f1af6dc5f75059fc5d4821e7b7cbb583b07713f3f6af6d6076593df2f22c957ea39813f70b9c0b00eab67b9a9dc174baafa3594326debc3540 SHA512 e4e23357c944e848d0d638977e7053de952e90c6b8d74ca16a25b0ff37a70b0f5bcb6e60022dfdee7c81d8d792d0a28c6acc6f37eac69c2274e36f9a7c808750
EBUILD botocore-1.31.35.ebuild 1834 BLAKE2B 8209ad43b9caa70c98744edf36645c8a660c86e61d2640787b8fd452c6ead5ebaad53ab332d74bb242a32ed673577231abd7a39b60b1122c9c30a6e1c46e9eff SHA512 8f2ff2d43225813fbba24106ed6df42810fe25cb3012288d3922dd57717e2608df205c7e2e6a6687f4089448ad7f8eb6b6e1575b4b51b76727351d4bcbea9155
EBUILD botocore-1.31.38.ebuild 1834 BLAKE2B 8209ad43b9caa70c98744edf36645c8a660c86e61d2640787b8fd452c6ead5ebaad53ab332d74bb242a32ed673577231abd7a39b60b1122c9c30a6e1c46e9eff SHA512 8f2ff2d43225813fbba24106ed6df42810fe25cb3012288d3922dd57717e2608df205c7e2e6a6687f4089448ad7f8eb6b6e1575b4b51b76727351d4bcbea9155
@@ -28,5 +29,6 @@ EBUILD botocore-1.31.47.ebuild 1599 BLAKE2B 8325845842cef976827216365bd3f88b7865
EBUILD botocore-1.31.48.ebuild 1599 BLAKE2B 8325845842cef976827216365bd3f88b7865bb4ce82764b121a42bb99d98952042223281fa66e6e31ec83e39c4fc585672fbab6426a7df79aa945df720d42a1b SHA512 ade15b4567ae00f08a0f5895d967ad3f37af15c24b3169e9319fd7d3c3a3316f34d989b225a928c8c72c2656e4c8f79d61e8b7ddd17e179adf7ff67bcbac6efb
EBUILD botocore-1.31.49.ebuild 1599 BLAKE2B 8325845842cef976827216365bd3f88b7865bb4ce82764b121a42bb99d98952042223281fa66e6e31ec83e39c4fc585672fbab6426a7df79aa945df720d42a1b SHA512 ade15b4567ae00f08a0f5895d967ad3f37af15c24b3169e9319fd7d3c3a3316f34d989b225a928c8c72c2656e4c8f79d61e8b7ddd17e179adf7ff67bcbac6efb
EBUILD botocore-1.31.50.ebuild 1599 BLAKE2B 8325845842cef976827216365bd3f88b7865bb4ce82764b121a42bb99d98952042223281fa66e6e31ec83e39c4fc585672fbab6426a7df79aa945df720d42a1b SHA512 ade15b4567ae00f08a0f5895d967ad3f37af15c24b3169e9319fd7d3c3a3316f34d989b225a928c8c72c2656e4c8f79d61e8b7ddd17e179adf7ff67bcbac6efb
+EBUILD botocore-1.31.51.ebuild 1599 BLAKE2B 8325845842cef976827216365bd3f88b7865bb4ce82764b121a42bb99d98952042223281fa66e6e31ec83e39c4fc585672fbab6426a7df79aa945df720d42a1b SHA512 ade15b4567ae00f08a0f5895d967ad3f37af15c24b3169e9319fd7d3c3a3316f34d989b225a928c8c72c2656e4c8f79d61e8b7ddd17e179adf7ff67bcbac6efb
EBUILD botocore-9999.ebuild 1834 BLAKE2B 8209ad43b9caa70c98744edf36645c8a660c86e61d2640787b8fd452c6ead5ebaad53ab332d74bb242a32ed673577231abd7a39b60b1122c9c30a6e1c46e9eff SHA512 8f2ff2d43225813fbba24106ed6df42810fe25cb3012288d3922dd57717e2608df205c7e2e6a6687f4089448ad7f8eb6b6e1575b4b51b76727351d4bcbea9155
MISC metadata.xml 499 BLAKE2B e5aaa7da26f200c09adfdf38b68f656bbccbec627cb5d966b280ac2165334e7eec659c89075bcace748f58e2ec3e7d2998e54a688d56ecea2d30653c67dfd35a SHA512 103c554d5dbd967bf9b6e418b3913d9235e7e910d012160909ce0715134ed2e37b06e6a345395f9d16ce08d1cf51f3ce458bce93c6a978fd3dca6610f2acdbd0
diff --git a/dev-python/botocore/botocore-1.31.51.ebuild b/dev-python/botocore/botocore-1.31.51.ebuild
new file mode 100644
index 000000000000..7cacb5c3f634
--- /dev/null
+++ b/dev-python/botocore/botocore-1.31.51.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x EPYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit} -p xdist -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/cryptography/Manifest b/dev-python/cryptography/Manifest
index fc4f7e75c758..230d29283e1d 100644
--- a/dev-python/cryptography/Manifest
+++ b/dev-python/cryptography/Manifest
@@ -8,7 +8,9 @@ DIST bitflags-1.3.2.crate 23021 BLAKE2B eb990bb27b2bdeb66fd7212ce582cb36e1c616de
DIST cc-1.0.79.crate 62624 BLAKE2B b3cbed3bd6fcac1c6ea258ec96cd107f859947a35dc89c3dc8f314741b0f668e61518f896ec32ce10c9a7eb20dd350bc177a71810d53ebea59fda062ed9d27db SHA512 cbf0a25f3a23fc540e9d638fabc23f761f1c240ebb4814e761e90437d71fc559cd155768ab9e78fc192220d8a605c66c3af342ed736b719181656170b98d7bf5
DIST cfg-if-1.0.0.crate 7934 BLAKE2B e99a5589c11d79d77a4537b34ce0a45d37b981c123b79b807cea836c89fc3926d693458893baca2882448d3d44e3f64e06141f6d916b748daa10b8cc1ae16d1b SHA512 0fb16a8882fd30e86b62c5143b1cb18ab564e84e75bd1f28fd12f24ffdc4a42e0d2e012a99abb606c12efe3c11061ff5bf8e24ab053e550ae083f7d90f6576ff
DIST cryptography-41.0.3.tar.gz 630139 BLAKE2B 148c01d3956a821edfcbba386287707f6e327d49669d163c00080f5208d65f340096a211825d6b5550036b00c5ccf9c84b137413454d68cae5374e9c10947c87 SHA512 84f79f72be3646c1e9a932ba8aba514471f6c0e50462a0bb3a927622ce67c7932e71d44e187db8928b05f04b803b958284f785c0dc297a0c9453846af1ac1aca
+DIST cryptography-41.0.4.tar.gz 630506 BLAKE2B 8d205ec707b0278f081c9d96d81d5bb2ac2554e0f73e97451c053da018ff7d0e0aaa2b1f043f2f67c0a93e7d0d02a130cdf3373ced21728268c7f882bd64fbd1 SHA512 0c0a025ed5e39195561e5a6374463ee2261448657ebb89e39e761a5b02c701a8f804c1f84733cf8376e44a46784b2cc41134952c329987a96ee85cb4532c75cd
DIST cryptography_vectors-41.0.3.tar.gz 35287886 BLAKE2B 525ac26bf9b9c95a3682fee97f05426c42aab985085c80a0957735898ffe7922a477d3a1130c844e721f5489d53f636f84472fa66a38b80f8ae7794fc6f5f080 SHA512 1f794f2bf4942ec47c93178061fc581c8ab87725927e7e6f0c939e6c499c98867296f87b39583f30ab42e3e682c5be8ef0aba705adf7390898df52ec3a822621
+DIST cryptography_vectors-41.0.4.tar.gz 35288210 BLAKE2B 3554d6a7c376032b62c079db152f79bec9764b4fd28355eaad44d827cb26fc7af38bb8df89ecd93e3e1b28937059a64b21cbea2bea37ce74e6390442786a4106 SHA512 4d0d707530dbf20f07214f8e01f659cec9b4db74c5a329911b510962a2d6a843ae62e4598c00dce6b79aa402034419e6347ab8b0837beb18c173726649841704
DIST foreign-types-0.3.2.crate 7504 BLAKE2B 520818b702d990d296ecd31a8646850202509ccfa18edd0e1b260289619a6c351e758f317ec0824bd76eccb209b6f087057c25f1bd01a47897715013dd834867 SHA512 bf27b8243ed482c202d120383374f19ff09422535e24b9c1aebccc66529bf300ca17b8bbc76d67f98ac092e614497afe3add9dc68aa69c93074df05762f91232
DIST foreign-types-shared-0.1.1.crate 5672 BLAKE2B d2e42e04b6657e7a69fe0bd20c672176629c743e49a55fd007bb30e289710b70045d445ae9cae0eeaa747ee708c90e8abd9b5fc39bad8ec0666befe1b696d4f1 SHA512 bafdb2143e136fb0818e2ffd90b5c862b7181647d6568947d4e4531012bbf7a57b597221ec7056c1b562dfc0c3b5dead26d1a4111ebc15e7863737a873518a4a
DIST indoc-1.0.9.crate 13475 BLAKE2B a9696788574e56dd125c3371169fd59d6947d188f76e2669b21c0304692efd6709cd048920f7822e92c6a5620fb178e0e85c7776118cef8ccee0f58398e14abf SHA512 db8aef4a7bb606452dc8ed45aa29a255c7a135357a0bd586fb4429c5f56a1aa2ca9400d6fac39956aeb486a15d25cf5d1b9524967867f2c651d9d563e3e85be8
@@ -54,4 +56,5 @@ DIST windows_x86_64_gnu-0.42.2.crate 699373 BLAKE2B 01c70809d564b16b268656e47295
DIST windows_x86_64_gnullvm-0.42.2.crate 364068 BLAKE2B 64bc53e98eb3fc649c9b43a6e734de4e65088e41edacabd49f7afcc5dc6e1065c563ecfc682747dda05978dea2dba4f45c16fcc18c3b00684c3d93681e5a7deb SHA512 d39a8bc948110fe612d3f8d6628b3f0d56620df11d8a49e0fabb6c90389ad407582b3af10e4eab46c79b3d11d2e10753d73d9e55963fbeac085f41e9749bdba3
DIST windows_x86_64_msvc-0.42.2.crate 666936 BLAKE2B bc3a456e7f8bc272f8978ec69506ec9d89f97b7582ebbe05d8bd57bdf8156ef62d0d2dc6137a97e81d54059d70db97a24af9a038adff357f5dfd28805d6193b5 SHA512 53a35f438903fceb59e36bd2ac331773fb8e6c8c5a6d984e79021761f91b3b4a23efe49d219667a4d0d23dcdbf906da9c24e74fb1cff93395b5c55ff524e3788
EBUILD cryptography-41.0.3.ebuild 3422 BLAKE2B 14b468cc902a594d49a1d023354671a94a29de5bc0a7a7f22e77341b2625da4996dfaae4d89ca1e5c18992d8e73d4324b6489c3da35f248cda76e92d77af3ecc SHA512 39c2188ea76a13710e107219a8edd797274e2f0cf431ab9ed48f383f39520962f86ba8f5a03535ff9edb8a7b630e8aa1ba78e20934bb9d94511d7b6af9a4a441
+EBUILD cryptography-41.0.4.ebuild 3429 BLAKE2B 29114783d7d76a3a425f2eb10a13615ecb8b4e47c34a3cc9091e22664e08310eb2fb3d8a6d3c6c0c81914d17a28487f8eda03411d0a12fb7c13997de4c8ca078 SHA512 8e6e275a9ed1d38d974907790ed792f00532969b59b9dd8203e94cce78ee3e76c6011f4d95ca5069f0a716ef5a056467fea07e99f23583f7831aaa849542a4b2
MISC metadata.xml 464 BLAKE2B 96c0bd97b83c9718910d129260402fdc37e88a96ac6002c8f6dd19fb21d6daf31211b83ff7423036811e27954811ebdc810c8328f18c620682bd9428f42ba1f9 SHA512 2f36a186bb195a8cbafe1d8dd6630fadf0ea56b22906ebaf3c90954adb8b66e1017f599169e2b1ca386e1113c1a6b834fff90f2bec527bed53f62985120732d6
diff --git a/dev-python/cryptography/cryptography-41.0.4.ebuild b/dev-python/cryptography/cryptography-41.0.4.ebuild
new file mode 100644
index 000000000000..b38f8ee47c32
--- /dev/null
+++ b/dev-python/cryptography/cryptography-41.0.4.ebuild
@@ -0,0 +1,152 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CARGO_OPTIONAL=yes
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+CRATES="
+ Inflector@0.11.4
+ aliasable@0.1.3
+ asn1@0.15.2
+ asn1_derive@0.15.2
+ autocfg@1.1.0
+ base64@0.13.1
+ bitflags@1.3.2
+ cc@1.0.79
+ cfg-if@1.0.0
+ foreign-types-shared@0.1.1
+ foreign-types@0.3.2
+ indoc@1.0.9
+ libc@0.2.144
+ lock_api@0.4.9
+ memoffset@0.8.0
+ once_cell@1.17.2
+ openssl-macros@0.1.1
+ openssl-sys@0.9.88
+ openssl@0.10.54
+ ouroboros@0.15.6
+ ouroboros_macro@0.15.6
+ parking_lot@0.12.1
+ parking_lot_core@0.9.7
+ pem@1.1.1
+ pkg-config@0.3.27
+ proc-macro-error-attr@1.0.4
+ proc-macro-error@1.0.4
+ proc-macro2@1.0.64
+ pyo3-build-config@0.18.3
+ pyo3-ffi@0.18.3
+ pyo3-macros-backend@0.18.3
+ pyo3-macros@0.18.3
+ pyo3@0.18.3
+ quote@1.0.28
+ redox_syscall@0.2.16
+ scopeguard@1.1.0
+ smallvec@1.10.0
+ syn@1.0.109
+ syn@2.0.18
+ target-lexicon@0.12.7
+ unicode-ident@1.0.9
+ unindent@0.1.11
+ vcpkg@0.2.15
+ version_check@0.9.4
+ windows-sys@0.45.0
+ windows-targets@0.42.2
+ windows_aarch64_gnullvm@0.42.2
+ windows_aarch64_msvc@0.42.2
+ windows_i686_gnu@0.42.2
+ windows_i686_msvc@0.42.2
+ windows_x86_64_gnu@0.42.2
+ windows_x86_64_gnullvm@0.42.2
+ windows_x86_64_msvc@0.42.2
+"
+
+inherit cargo distutils-r1 flag-o-matic multiprocessing pypi
+
+VEC_P=cryptography_vectors-$(ver_cut 1-3)
+DESCRIPTION="Library providing cryptographic recipes and primitives"
+HOMEPAGE="
+ https://github.com/pyca/cryptography/
+ https://pypi.org/project/cryptography/
+"
+SRC_URI+="
+ ${CARGO_CRATE_URIS}
+ test? (
+ $(pypi_sdist_url cryptography_vectors "$(ver_cut 1-3)")
+ )
+"
+
+LICENSE="|| ( Apache-2.0 BSD ) PSF-2"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD MIT
+ Unicode-DFS-2016
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-libs/openssl-1.0.2o-r6:0=
+ $(python_gen_cond_dep '
+ >=dev-python/cffi-1.8:=[${PYTHON_USEDEP}]
+ ' 'python*')
+"
+DEPEND="
+ ${RDEPEND}
+"
+# XXX: Drop explicit >=virtual/rust-1.56.0 dep once that's the minimum in cargo.eclass
+# and replace it with ${RUST_DEPEND}
+BDEPEND="
+ dev-python/setuptools-rust[${PYTHON_USEDEP}]
+ >=virtual/rust-1.56.0
+ test? (
+ >=dev-python/hypothesis-1.11.4[${PYTHON_USEDEP}]
+ dev-python/iso8601[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ dev-python/pyasn1-modules[${PYTHON_USEDEP}]
+ dev-python/pytest-subtests[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+# Files built without CFLAGS/LDFLAGS, acceptable for rust
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/cryptography/hazmat/bindings/_rust.*.so"
+
+distutils_enable_tests pytest
+
+src_unpack() {
+ cargo_src_unpack
+}
+
+src_prepare() {
+ default
+
+ sed -i -e 's:--benchmark-disable::' pyproject.toml || die
+
+ # work around availability macros not supported in GCC (yet)
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ local darwinok=0
+ if [[ ${CHOST##*-darwin} -ge 16 ]] ; then
+ darwinok=1
+ fi
+ sed -i -e 's/__builtin_available(macOS 10\.12, \*)/'"${darwinok}"'/' \
+ src/_cffi_src/openssl/src/osrandom_engine.c || die
+ fi
+}
+
+python_configure_all() {
+ filter-lto # bug #903908
+}
+
+python_test() {
+ local -x PYTHONPATH="${PYTHONPATH}:${WORKDIR}/cryptography_vectors-${PV}"
+ local EPYTEST_IGNORE=(
+ tests/bench
+ )
+ epytest -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/fasteners/Manifest b/dev-python/fasteners/Manifest
index b1572de7e436..2cb7094664a5 100644
--- a/dev-python/fasteners/Manifest
+++ b/dev-python/fasteners/Manifest
@@ -1,3 +1,5 @@
DIST fasteners-0.18.gh.tar.gz 42343 BLAKE2B 702ca6a68733ed202ae0f8a2d9d430012c5786ef8d779903186815f9250ed7b2ccf781694aa57ef230009a470ef7c6bd0e83cc7bc9fcb809d2335542e799e3d6 SHA512 40928e93fa94ca9e67335d15acede73b70906885f8cc34262b00e2dfba9dfed8647f11490ab0df4c8fcfd94778362cfdc4bd0053063660b962202524dd5bda18
+DIST fasteners-0.19.gh.tar.gz 43188 BLAKE2B c30f4dc3da6605aa2552f58ae1071b51efefe2aea59ca8815fd50eebdbe7e826756cd9923485d6fb99dcc39196def485f4c1346a234bc7af09e2426c84b6a0d3 SHA512 47db216ff5bad5c669ca2d9be0ee09feba4a3d55ed0eac8d3623bd3d112b0b87fb9019f8785d035ec32ad9fa9e4ae7d1c92a576c97eec29acc82711d7e71a465
EBUILD fasteners-0.18.ebuild 751 BLAKE2B 50dcd5852fd7a066d7dfce33d0228e94c8fb29e6b51c4ecbabb16c0cca7daf5759bcbc820a2d3a5e4f56827ab72362ce23ee2f2ca1c67598e4de37733e3340ab SHA512 00718afc779f53ae5cc8f0c7da68506030fb8205b74c51f75ba308963824dcc2fbf6d1035bf4b3eafa3943a783ba5017c8982bf6496877722f4d7e2599cf7130
+EBUILD fasteners-0.19.ebuild 793 BLAKE2B 075cad775301cda51bf9b2e0f7db4c6e22bd2ad45dab27b11ea091d2cd37cc6c9949f0f8c209ec872f989e42fe4660efc65a96b69afcc1bc2db1e8549fe9e97b SHA512 c28e7a2e01fe003127966dd1851616f2d7e9d5ca6fc1835413a48414fffb423660beb214b2db002f03480480c8a7c62bcf0cc441dc29819c020853f80e51ba64
MISC metadata.xml 510 BLAKE2B 1431fe8c5a7c8f6eccb512ec7690ae53360275c13bc368af6b51d02c7684dd74cc6340b7ff53b2cda7877b8e8224bdb4d2194e93ed678a88e79f0ae8bd7268fd SHA512 f9b0a1c15a6bd818f1366004814908c538249cb16ef8f09d3fe905e8e0a15e7d70b80ee87966f0ed990c44ccee7ecc45cdbf3eaac668638202f640a55525478d
diff --git a/dev-python/fasteners/fasteners-0.19.ebuild b/dev-python/fasteners/fasteners-0.19.ebuild
new file mode 100644
index 000000000000..d3b2343df0d3
--- /dev/null
+++ b/dev-python/fasteners/fasteners-0.19.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python package that provides useful locks"
+HOMEPAGE="
+ https://github.com/harlowja/fasteners/
+ https://pypi.org/project/fasteners/
+"
+SRC_URI="
+ https://github.com/harlowja/fasteners/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+BDEPEND="
+ test? (
+ dev-python/diskcache[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ tests/test_eventlet.py
+)
diff --git a/dev-python/pyupgrade/Manifest b/dev-python/pyupgrade/Manifest
index 7cc149b9bf6b..e3e97a162fd5 100644
--- a/dev-python/pyupgrade/Manifest
+++ b/dev-python/pyupgrade/Manifest
@@ -1,7 +1,9 @@
DIST pyupgrade-3.10.1.gh.tar.gz 63457 BLAKE2B 54c3105b4e84025e8204b29abeaec813e7959f21bfe1d4d5dfef4caae355885a4be0459685b05eb38266ec4bd14f1736304c404f14c909f51bb554e249f9906c SHA512 47579a1116a56f64dc190956ce708a4a99ae93bdc446a060b2a6418b026ff249d53dc98a5e5153203af2f00f6a1335bc66908e1ae8ead1ad957edf35854cfa8c
DIST pyupgrade-3.11.0.gh.tar.gz 63238 BLAKE2B 111a42604989ee6c3ae62b35009bbee9477e8cf8978f4e7575290cdb6aaac8f55cbca0d629ea0358571869f619f2ede055447cc127eb02e6496047f0b828fb0a SHA512 d2bdf2ce1e694c87f2f8fe9ef8db1da031efe469bd8692e639189952467b19d17d62b2ec61bdd5864ccabf88f33b3cbab573ae83c6c6ad607b52806f6d007c50
+DIST pyupgrade-3.11.1.gh.tar.gz 63290 BLAKE2B 962c1b792a13838ace3d949790906391269adc9fe0d39bf9ae407adc5da113e4641d7b499d657ea8e07137ea49cb6f6101a663b8196dcd907c1231c1de65b0d9 SHA512 09115a8ba70762afabd923acc1213f07c2fda0f4fc4de4cadfef9756e3b6cc4d3cc9c0a6a046ed1f3dba8539b7ce5656784f66e3a4ebd0671d680e3e98062394
DIST pyupgrade-3.9.0.gh.tar.gz 63231 BLAKE2B 5b8bcba1d5f20379a2fe12df3f515222ccf05a67c6666c9de9caddc2f667010eec296f5c64354dbd56170a94f3cba00e0556f34c5f0cc2ffcc4e3a289790d24f SHA512 572f5b30ce18d86ed2e0cae102cc05940e58be325e0dffb4d5c23e7ed377e497d74c01f44d2bf32a18d04eaed282df5007f5f9eea5633fc46f196c63a6fcc134
EBUILD pyupgrade-3.10.1.ebuild 649 BLAKE2B 07fbabc1cfd716958c5d26bcbc938408020902b3dacebde6d94cfd8339de24f9802381d2008c12b014c53ce5f99889f676b83e60ee06b116e30be64d7660fc28 SHA512 ae689cca97b7fb13dcc124ae5c97f5ac9b2159efa64a2f0a741cb6de120aa34da03365d6602af6bbaa340d10616dfb398d9dd6415599bae6ecbcdf1726370fc1
EBUILD pyupgrade-3.11.0.ebuild 649 BLAKE2B 07fbabc1cfd716958c5d26bcbc938408020902b3dacebde6d94cfd8339de24f9802381d2008c12b014c53ce5f99889f676b83e60ee06b116e30be64d7660fc28 SHA512 ae689cca97b7fb13dcc124ae5c97f5ac9b2159efa64a2f0a741cb6de120aa34da03365d6602af6bbaa340d10616dfb398d9dd6415599bae6ecbcdf1726370fc1
+EBUILD pyupgrade-3.11.1.ebuild 649 BLAKE2B 07fbabc1cfd716958c5d26bcbc938408020902b3dacebde6d94cfd8339de24f9802381d2008c12b014c53ce5f99889f676b83e60ee06b116e30be64d7660fc28 SHA512 ae689cca97b7fb13dcc124ae5c97f5ac9b2159efa64a2f0a741cb6de120aa34da03365d6602af6bbaa340d10616dfb398d9dd6415599bae6ecbcdf1726370fc1
EBUILD pyupgrade-3.9.0.ebuild 641 BLAKE2B 103f33a5355845e6a073b3525181f8ca6db914e17cf68fca24cba79b086c536573cf8c1ccd8496a913bef0eccc2a2c8d09730dcc73db7c0fb33fbcffc05e4bfe SHA512 0997f770c8056c86261da7271bd30a4b6335dad90c7d6fbb00dd53729656bb968c29f28d9f294a2be1a647271bcb9304363a29c8b2aa95b87f26a0eca3414820
MISC metadata.xml 603 BLAKE2B a9513a08115930ae37b1a3dc5bd2c0649e646bfdad961f10478b9575c597ffad2847b13642e9433ed7ffa41a2ffae0410616e7eb1cc2a00dfdc181f98639419a SHA512 f9da5ac513c1ee7e1411642119344abf4d409bffc2b1cac997bee625add8ceb5982931d9cddeee082d1943f405a70bea617b06b3bbc6f3787ea987b8e43554b1
diff --git a/dev-python/pyupgrade/pyupgrade-3.11.1.ebuild b/dev-python/pyupgrade/pyupgrade-3.11.1.ebuild
new file mode 100644
index 000000000000..19a841ef7eff
--- /dev/null
+++ b/dev-python/pyupgrade/pyupgrade-3.11.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Tool + pre-commit hook to automatically upgrade syntax for newer Pythons"
+HOMEPAGE="
+ https://github.com/asottile/pyupgrade/
+ https://pypi.org/project/pyupgrade/
+"
+# no tests in sdist, as of 3.3.2
+SRC_URI="
+ https://github.com/asottile/pyupgrade/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+ >=dev-python/tokenize-rt-5.2.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/tldextract/Manifest b/dev-python/tldextract/Manifest
index 1768d39e93b0..cc3cc4e260f2 100644
--- a/dev-python/tldextract/Manifest
+++ b/dev-python/tldextract/Manifest
@@ -1,5 +1,7 @@
DIST tldextract-3.4.4.tar.gz 105688 BLAKE2B 070fdde3f71b09a9f5409f7a9a0eb8a0a0855ffca4fbf1926146d21de11af4ed893d796932384df7b1713a52f10c7b367ba7f154d15fd7da2c72a71993c4454d SHA512 f6b4a7ed984c95e66838cda951058281e5e05bde74d02c6e5a6cd0345dc99703179303123905a095a46afe4c05dacb94a09677b6aa4cbf018df22e7bc2809a40
DIST tldextract-3.5.0.tar.gz 109922 BLAKE2B 5ffac02db8b32150988a8958dd3c038c54c141af1b3642de126c4f8eeb95cbf1ee38e898512f3abd1ff20e4c17cb85ece7b53dd4e36a2c063777c076af083310 SHA512 95ad41f2957f5bada03706930d89add7c86361547303170c155d2fe60916d7052d4b19ba67a32ec35da58ab5ff7153de6085e5fa0898cb4a9dd5ef47710d983b
+DIST tldextract-3.6.0.tar.gz 110460 BLAKE2B 3bc0179f7d83db0e1c33687b05215e96a7636f6c88fcbc75113bf6473c31840223de2d05b47e57567b72314a2fe0b9eb83c515942906db3bbc0f6aac55d202c0 SHA512 5cfae8bc293d5ce774f648186a4256477049ef2f6b916d4895636fdd50067cecf4ddea11962d9d4557c29c9ab6e62ba6306062c6219178573c9747a56036318d
EBUILD tldextract-3.4.4.ebuild 806 BLAKE2B cc8eeda9d0b939182cfe8db5f06573847cb634476c5d2638ae92acdfd7adccfe78fdfaa610ce418d1ef41ee93f304f2d55b930b5c8f7daec1f339488f9342b7d SHA512 3f5f73ff477603fdf798760252e78e16fb4eb017f00dd61bc447d579cfefe67b0cd5edd974b2a323137961afefb4d7f53b7dce9051b76bf3f4a2fcf237a944fa
EBUILD tldextract-3.5.0.ebuild 829 BLAKE2B 126dceb1f339dbefaffb54e730bdec5c0caa57117ae3fb6ddc791855d68b6bc50ceacaa5f86688c71a31d7f2917749be24a9a1bd734f44eca62d2793c92dd28a SHA512 fb95410ce317c856e7bc4622261a7c52be21c0642187a27d09551f410733f1109dafeb2c0d68d6dc06ca0705daf715fd076d59f23a8eab56f99065512f1ea3a7
+EBUILD tldextract-3.6.0.ebuild 829 BLAKE2B 126dceb1f339dbefaffb54e730bdec5c0caa57117ae3fb6ddc791855d68b6bc50ceacaa5f86688c71a31d7f2917749be24a9a1bd734f44eca62d2793c92dd28a SHA512 fb95410ce317c856e7bc4622261a7c52be21c0642187a27d09551f410733f1109dafeb2c0d68d6dc06ca0705daf715fd076d59f23a8eab56f99065512f1ea3a7
MISC metadata.xml 560 BLAKE2B 4d6e6aa7507ce4734371e8b8442e8d4840db0d2896f7e7430438bc9b700edf6c8546fc3beb1e17d489013b6cc49d1daf805581d6fda29f51109e7a643b0e8965 SHA512 4e7ed8a1876afc62954ee58937557182099ea2289633d2d279a2982bb32a8de261163f0b83ba44c257b8c087c007b1bb462ecad69df1115a024a3a9c8ea1fe9e
diff --git a/dev-python/tldextract/tldextract-3.6.0.ebuild b/dev-python/tldextract/tldextract-3.6.0.ebuild
new file mode 100644
index 000000000000..be98388a4866
--- /dev/null
+++ b/dev-python/tldextract/tldextract-3.6.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Accurately separate the TLD from the registered domain and subdomains of a URL"
+HOMEPAGE="
+ https://github.com/john-kurkowski/tldextract/
+ https://pypi.org/project/tldextract/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/filelock-3.0.8[${PYTHON_USEDEP}]
+ dev-python/idna[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-file-1.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest